#

API Docs for: 0.0.2
Show: Inherited Protected Private Deprecated

# Browser.InternetExplorer Class

Defined in: `index.js:35`
Module: DalekJS

This module is a browser plugin for DalekJS. It provides all a WebDriverServer & browser launcher for Internet Explorer.

The browser plugin can be installed with the following command:

    $ npm install dalek-browser-ie --save-dev

You can use the browser plugin by adding a config option to the your Dalekfile

    "browsers": ["IE"]

Or you can tell Dalek that it should test in this browser via the command line:

    $ dalek mytest.js -b IE

The Webdriver Server tries to open Port 5555 by default, if this port is blocked, it tries to use a port between 5555 & 5564 You can specifiy a different port from within your Dalekfile like so:

    "browsers": {
      "ie": {
        "port": 6555
      }
    }

It is also possible to specify a range of ports:

    "browsers": {
      "ie": {
        "portRange": [6100, 6120]
      }
    }

- Index
- Methods
- Properties

## Item Index

### Methods

- _checkUserDefinedPorts
- _kill
- _list
- getHost
- getMaxPort
- getPort
- kill
- launch

### Properties

- desiredCapabilities
- driverDefaults
- host
- longName
- maxPort
- openProcesses
- path
- port
- spawned

## Methods

### `_checkUserDefinedPorts`

(

- `browser`

)
private chainable

Defined in `index.js:302`

Process user defined ports

#### Parameters:

- `browser` Object

  Browser configuration

### `_kill`

(

- `PID`
- `[force=false]`
- `[callback]`

)
private chainable

Defined in `index.js:375`

Kill a specific process (win only)

#### Parameters:

- `PID` Number

  Process ID

- `[force=false]` Boolean optional

  Force close the process.

- `[callback]` Function optional

  Callback after process has been killed

### `_list`

(

- `callback`
- `[verbose=false]`

)
private chainable

Defined in `index.js:329`

Lists all running processes (win only)

#### Parameters:

- `callback` Function

  Receives the process object as the only callback argument

- `[verbose=false]` Boolean optional

  Verbose output

### `getHost`

() String

Defined in `index.js:201`

Returns the driver host

#### Returns:

String:

host WebDriver server hostname

### `getMaxPort`

() Integer

Defined in `index.js:212`

Resolves the maximum range for the driver port

#### Returns:

Integer:

port Max WebDriver server port range

### `getPort`

() Integer

Defined in `index.js:190`

Resolves the driver port

#### Returns:

Integer:

port WebDriver server port

### `kill`

() chainable

Defined in `index.js:250`

Kills the driver & browser processes

### `launch`

() Object

Defined in `index.js:223`

Launches the driver (the driver takes care of launching the browser)

#### Returns:

Object:

promise Browser promise

## Properties

### `desiredCapabilities`

Object

Defined in `index.js:135`

Default desired capabilities that should be transferred when the browser session gets requested

### `driverDefaults`

Object

Defined in `index.js:147`

Driver defaults, what should the driver be able to access.

### `host`

String

Defined in `index.js:123`

Default host of the IEDriverServer The host may be overridden with a user configured value

Default: localhost

### `longName`

String

Defined in `index.js:88`

Verbose version of the browser name

Default: Internet Explorer

### `maxPort`

Integer

Defined in `index.js:111`

Default maximum port of the IEDriverServer The port is the highest port in the range that can be allocated by the IEDriverServer

Default: 5654

### `openProcesses`

Array

Defined in `index.js:179`

IE processes that are running on startup, and therefor shouldn`t be closed

Default: []

### `path`

String

Defined in `index.js:160`

Path to the IEDriverServer.exe file

Default: /

### `port`

Integer

Defined in `index.js:99`

Default port of the IEDriverServer The port may change, cause the port conflict resultion tool might pick another one, if the default one is blocked

Default: 5555

### `spawned`

Null | Object

Defined in `index.js:170`

Child process instance of the IEDriverServer